<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>WorkerConfiguration (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WorkerConfiguration (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/workers/WorkerExecutionException.html" title="class in org.gradle.workers"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/workers/WorkerConfiguration.html" target="_top">Frames</a></li>
<li><a href="WorkerConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.workers</div>
<h2 title="Interface WorkerConfiguration" class="title">Interface WorkerConfiguration</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api">ActionConfiguration</a>, <a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">WorkerConfiguration</span>
extends <a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a>, <a href="../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api">ActionConfiguration</a></pre>
<div class="block">Represents the configuration of a worker.  Used when submitting an item of work
 to the <a href="../../../org/gradle/workers/WorkerExecutor.html" title="interface in org.gradle.workers"><code>WorkerExecutor</code></a>.

 <pre>
      workerExecutor.submit(RunnableWorkImpl.class) { WorkerConfiguration conf -&gt;
          conf.isolationMode = IsolationMode.PROCESS

          forkOptions { JavaForkOptions options -&gt;
              options.maxHeapSize = "512m"
              options.systemProperty 'some.prop', 'value'
              options.jvmArgs "-server"
          }

          classpath configurations.fooLibrary

          conf.params = [ "foo", file('bar') ]
      }
 </pre></div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#classpath(java.lang.Iterable)">classpath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;files)</code>
<div class="block">Adds a set of files to the classpath associated with the worker.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#forkOptions(org.gradle.api.Action)">forkOptions</a></strong>(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&gt;&nbsp;forkOptionsAction)</code>
<div class="block">Executes the provided action against the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> object associated with this builder.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#getClasspath()">getClasspath</a></strong>()</code>
<div class="block">Gets the classpath associated with the worker.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers">ForkMode</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#getForkMode()">getForkMode</a></strong>()</code>
<div class="block">Gets the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#getForkOptions()">getForkOptions</a></strong>()</code>
<div class="block">Returns the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> object associated with this builder.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers">IsolationMode</a></code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#getIsolationMode()">getIsolationMode</a></strong>()</code>
<div class="block">Gets the isolation mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#setClasspath(java.lang.Iterable)">setClasspath</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;files)</code>
<div class="block">Sets the classpath associated with the worker.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#setDisplayName(java.lang.String)">setDisplayName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;displayName)</code>
<div class="block">Sets the name to use when displaying this item of work.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#setForkMode(org.gradle.workers.ForkMode)">setForkMode</a></strong>(<a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers">ForkMode</a>&nbsp;forkMode)</code>
<div class="block">Sets the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/workers/WorkerConfiguration.html#setIsolationMode(org.gradle.workers.IsolationMode)">setIsolationMode</a></strong>(<a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers">IsolationMode</a>&nbsp;isolationMode)</code>
<div class="block">Sets the isolation mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.Describable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/Describable.html" title="interface in org.gradle.api">Describable</a></h3>
<code><a href="../../../org/gradle/api/Describable.html#getDisplayName()">getDisplayName</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.ActionConfiguration">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/ActionConfiguration.html" title="interface in org.gradle.api">ActionConfiguration</a></h3>
<code><a href="../../../org/gradle/api/ActionConfiguration.html#getParams()">getParams</a>, <a href="../../../org/gradle/api/ActionConfiguration.html#params(java.lang.Object...)">params</a>, <a href="../../../org/gradle/api/ActionConfiguration.html#setParams(java.lang.Object...)">setParams</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="classpath(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>classpath</h4>
<pre>void&nbsp;classpath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;files)</pre>
<div class="block">Adds a set of files to the classpath associated with the worker.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>files</code> - - the files to add to the classpath</dd></dl>
</li>
</ul>
<a name="setClasspath(java.lang.Iterable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setClasspath</h4>
<pre>void&nbsp;setClasspath(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;files)</pre>
<div class="block">Sets the classpath associated with the worker.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>files</code> - - the files to set the classpath to</dd></dl>
</li>
</ul>
<a name="getClasspath()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClasspath</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&gt;&nbsp;getClasspath()</pre>
<div class="block">Gets the classpath associated with the worker.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the classpath associated with the worker</dd></dl>
</li>
</ul>
<a name="getIsolationMode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsolationMode</h4>
<pre><a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers">IsolationMode</a>&nbsp;getIsolationMode()</pre>
<div class="block">Gets the isolation mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the isolation mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a>, defaults to <a href="../../../org/gradle/workers/IsolationMode.html#AUTO"><code>IsolationMode.AUTO</code></a></dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="setIsolationMode(org.gradle.workers.IsolationMode)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIsolationMode</h4>
<pre>void&nbsp;setIsolationMode(<a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers">IsolationMode</a>&nbsp;isolationMode)</pre>
<div class="block">Sets the isolation mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>isolationMode</code> - the forking mode for this worker, see <a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><code>IsolationMode</code></a></dd><dt><span class="strong">Since:</span></dt>
  <dd>4.0</dd></dl>
</li>
</ul>
<a name="getForkMode()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForkMode</h4>
<pre><a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers">ForkMode</a>&nbsp;getForkMode()</pre>
<div class="block">Gets the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a>.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a>, defaults to <a href="../../../org/gradle/workers/ForkMode.html#AUTO"><code>ForkMode.AUTO</code></a></dd></dl>
</li>
</ul>
<a name="setForkMode(org.gradle.workers.ForkMode)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setForkMode</h4>
<pre>void&nbsp;setForkMode(<a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers">ForkMode</a>&nbsp;forkMode)</pre>
<div class="block">Sets the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a>.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>forkMode</code> - the forking mode for this worker, see <a href="../../../org/gradle/workers/ForkMode.html" title="enum in org.gradle.workers"><code>ForkMode</code></a></dd></dl>
</li>
</ul>
<a name="forkOptions(org.gradle.api.Action)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forkOptions</h4>
<pre>void&nbsp;forkOptions(<a href="../../../org/gradle/api/Action.html" title="interface in org.gradle.api">Action</a>&lt;? super <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&gt;&nbsp;forkOptionsAction)</pre>
<div class="block">Executes the provided action against the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> object associated with this builder.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>forkOptionsAction</code> - - An action to configure the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> for this builder</dd></dl>
</li>
</ul>
<a name="getForkOptions()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getForkOptions</h4>
<pre><a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process">JavaForkOptions</a>&nbsp;getForkOptions()</pre>
<div class="block">Returns the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> object associated with this builder.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the <a href="../../../org/gradle/process/JavaForkOptions.html" title="interface in org.gradle.process"><code>JavaForkOptions</code></a> of this builder</dd></dl>
</li>
</ul>
<a name="setDisplayName(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDisplayName</h4>
<pre>void&nbsp;setDisplayName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;displayName)</pre>
<div class="block">Sets the name to use when displaying this item of work.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>displayName</code> - the name of this item of work</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/workers/IsolationMode.html" title="enum in org.gradle.workers"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/workers/WorkerExecutionException.html" title="class in org.gradle.workers"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/workers/WorkerConfiguration.html" target="_top">Frames</a></li>
<li><a href="WorkerConfiguration.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
